import math

x = int(input('Unesite broj x: '))

if x == 1:                #specijalan slucaj
   print('Jeste savrsen stepen {} = {}^{}'.format(x, 1, 2))
   exit()
  
#u opstem slucaju, imamo dvostruku while petlju koja iteriraja po svim mogucim (smislenim) kombinacijama vrednosti y i k 
#x != 1  -->  minimalno y za koje ima smisla proveravati je 2 (minimalna vrednost osnove za stepenovanje) 
#k != 1  -->  minimalno k je 2 (minimalna vrednost netrivijalnog stepena)

y = 2
while y <= math.sqrt(x):             #dovoljno je da y ide do koren od x, jer stepenovanjem vrednosti koje su vece od korena od x na minimalni stepen 2
   k = 2                             #dobijamo sigurno vece vrednosti od x, sto znaci da za takve y ni za jedno k ne moze biti za y**k == x
   
   while y**k < x:
   	k += 1
        
   if y**k == x:        
      break     
        
   y += 1
   
#ugnjezdena while petlja ce biti zavrsena iz jednog od sledeca 2 razloga:
#1) jer smo imali break, i tada vazi y**k == x
#2) jer smo izvrteli petlju za sve moguce (smislene) kombinacije y i k i nijedna nije dala y**k == x  
#prema ovom zakljucku granamo koju poruku treba da ispisemo korisniku   
if y**k == x:
   print('Jeste savrsen stepen {} = {}^{}'.format(x, y, k))
else:
   print('Nije savrsen stepen')                
